<template>
  <NuxtLink
    class="flex flex-col group w-[300px]"
    :to="restaurant.page.link"
  >
    <div class="aspect-w-1 aspect-h-1 w-full overflow-hidden rounded-lg bg-gray-200 xl:aspect-w-7 xl:aspect-h-8">
      <nuxt-img
        :src="restaurant.card.cover.src"
        width="300"
        height="300"
        loading="lazy"
      />
    </div>
    <h3 class="mt-4 text-sm text-gray-700">
      <app-multilang-string :str="restaurant.card.title"/>
    </h3>
    <p class="mt-1 text-lg font-medium text-gray-900">123</p>
  </NuxtLink>
</template>

<script setup lang="ts">
  import type { PropType } from "vue";
  import type { Restaurant } from "~/composable/restaurant/useRestaurantsStore";

  defineProps({
    restaurant: {
      type: Object as PropType<Restaurant>,
      required: true,
    }
  })
</script>